!=====================================================================
!
!
! Datei: config.pro fr CREO 2.0
!
!
!
!======================================================================


! setup files, directories

start_model_dir			$CZ_CAD_ROOT\cad_lib\templates
template_designasm		$CZ_CAD_ROOT\cad_lib\templates\cz_standard_creo2.asm
template_drawing		$CZ_CAD_ROOT\cad_lib\templates\drawing_templates\empty_a4.drw
template_ecadpart		$CZ_CAD_ROOT\cad_lib\templates\cz_standard_creo2.prt
template_sheetmetalpart		$CZ_CAD_ROOT\cad_lib\templates\cz_standard_sheetmetal_creo2.prt
template_solidpart		$CZ_CAD_ROOT\cad_lib\templates\cz_standard_creo2.prt
template_harnesspart		$CZ_CAD_ROOT\cad_lib\templates\cz_standard_creo2.prt
pro_font_dir			$CZ_CAD_ROOT\cad_lib\font
trail_dir			$CZ_CAD_ROOT\temp\trail
plot_file_dir			$CZ_CAD_ROOT\temp\plotfiles

modelcheck_dir			$CZ_CAD_ROOT\cad_config\modelcheck\$LANG
mdl_tree_cfg_file		$CZ_CAD_ROOT\cad_config\Creo 2.0\tree_sap_asm.cfg
bom_format			$CZ_CAD_ROOT\cad_config\Creo 2.0\stueckliste.bom
pen_table_file			$CZ_CAD_ROOT\cad_config\Creo 2.0\pentable.pnt
system_colors_file		$CZ_CAD_ROOT\cad_config\Creo 2.0\syscol.scl

drawing_setup_file		$CZ_CAD_CONFIGPATH\zeiss_$CZ_CAD_COUNTRY.dtl

pro_colormap_path		$ADMPATH\config
pro_plot_config_dir		$ADMPATH\config\Uniplot_Creo_2
hole_parameter_file_path	$ADMPATH\config\Bohrungstabellen
pro_weld_params_dir		$ADMPATH\config\Welding
pro_crosshatch_dir		$ADMPATH\lib_cz\xch
pro_format_dir			$ADMPATH\lib_cz\frm\ZEISS
pro_group_dir			$ADMPATH\lib_cz\Udf
pro_library_dir			$ADMPATH\lib_cz
pro_note_dir			$ADMPATH\lib_cz\notizen
pro_sheet_met_dir		$ADMPATH\lib_cz\bnd
pro_spool_dir			$ADMPATH\lib_cz\cabling\spool
pro_symbol_dir			$ADMPATH\lib_cz\sym
pro_palette_dir			$ADMPATH\lib_cz\sym\allgemeine_Paletten
symbol_instance_palette_file	$ADMPATH\lib_cz\sym\allgemeine_Paletten\oberflaechenangaben.drw
sketcher_palette_path		$ADMPATH\lib_cz\sec


! Umgebung

bell				no
clock				no
company_name			CARL ZEISS
default_abs_accuracy		0.001
display_full_object_path	yes
enable_absolute_accuracy	yes
flip_arrow_scale		2
info_output_mode		both
mass_property_calculate		automatic
modelcheck_enabled		yes
model_tree_start		yes
prehighlight			yes
select_on_dtm_edges		all_modes
spin_center_display		no
start_appmgr			no
proe_memory_buffer_size		0


! Benutzeroberflche

fonts_size			small
help_translation		yes
iconify_entire_pro		yes
menu_translation		yes
msg_translation			yes
new_parameter_ui		yes
new_relation_ui			yes
native_kbd_macros		no
param_dec_places		8
prompt_on_exit			yes
provide_pick_message_always	yes
suppress_license_loss_dialog	yes
thermo_position_hint		no_window_overlap
visible_mapkeys			NO
visible_message_lines		3
windows_scale			1
www_tree_location		out


! Editoren

drawing_file_editor		editor
relation_file_editor		editor


! Modelldarstellung

auto_show_3d_detail_items	no
depthcue_always			no
display				shadewithedges
display_axes			no
display_axis_tags		yes
display_coord_sys		no
display_coord_sys_tags		yes
display_plane_tags		yes
display_planes			no
display_point_tags		yes
display_points			no
display_thick_cables		no
display_annotations		no
display_silhouette_edges	no
edge_display_quality		NORMAL
frames_per_sec			no
frames_per_sec_value		1
max_animation_time		0.5
mesh_spline_surf		no
min_animation_steps		3
shade_surface_feat		yes
shade_with			CURVES
show_axes_for_extr_arcs		no
spin_with_part_entities		no
spin_with_silhouettes		no
spin_with_notes			no
tangent_edge_display		dimmed
texture				no


! Farben

color_windows			all_windows
number_user_colors		40
system_background_color		0 0 30
system_edge_high_color		0 90 100
use_part_color_for_hidden_lines	yes


! Einheiten

pro_unit_length			unit_mm
pro_unit_mass			unit_kilogram


! Skizzierer

sketcher_3d_drag		no
sketcher_animated_modify	yes
sketcher_dim_of_revolve_axis	yes
sketcher_disp_dimensions	yes
sketcher_lock_modified_dims	yes
sketcher_refit_after_dim_modify	no
sketcher_save_preview_image	yes
sketcher_starts_in_2d		yes


! KEs

hole_diameter_override		yes
show_geom_checks_on_creation	YES


! Baugruppe

comp_assemble_start		move_then_place
comp_assemble_with_interface	from_list
comp_interface_placement	interface_to_geom
comp_rollback_on_redef		yes
copy_geometry_method		references
enable_assembly_accuracy	yes
fail_ref_copy_when_missing_orig	yes
freeze_failed_assy_comp		no
multiple_skeletons_allowed	yes
package_constraints		update
remember_replaced_components	no
shrinkwrap_alert		no
update_comps_missing_extref_dat yes


!Bemassungen & Toleranzen

allow_rfs_default_gtols_always	yes
ang_dim_in_screen		yes
default_dec_places		3
mark_approximate_dims		yes
minimum_angle_dimension		0.001
parenthesize_ref_dim		yes
tol_display			yes
tolerance_standard		iso


! Zeichnung

allow_move_attach_in_dtl_move	no
create_drawing_dims_only	yes
default_ang_dec_places		2
default_draw_scale		1.0
display_in_adding_view		minimal_wireframe
drawing_view_origin_csys	x0y0z0
highlight_erased_dwg_views	yes
highlight_new_dims		yes
hlr_for_quilts			yes
save_display			no
save_drawing_picture_file 	no
selection_of_removed_entities	no
show_preview_default		keep


! Blech

merge_smt_srfs_without_seam	yes


! Schweissen

add_weld_mp			yes
weld_ui_standard		iso
weld_ask_xsec_refs		no
weld_dec_places   		3


! Cabling

freeze_failed_cable_locations	yes
full_hlr_for_cables		partial
orthogonal_snap			yes


! Mechanica

sim_run_tmp_dir			$CZ_CAD_ROOT\temp\mechtemp
sim_fatigue_external_matdata 	yes
sim_fatigue_user_directory 	$homedrive$$homepath$
sim_pp_legend_levels		16 
sim_pp_background_color		white


! Referenzsteuerung

default_ext_ref_scope		skeleton_model
ref_scope_copy_color_change	no
ref_scope_prohibit_color_change	yes
scope_invalid_refs		prohibit


! Foliendefinitionen

def_layer			layer_axis achsen
def_layer			layer_cosm_sketch kosmetik
def_layer			layer_csys koordsys
def_layer			layer_curve kurven
def_layer			layer_datum ebenen
def_layer			layer_point punkte
def_layer			layer_surface flaechen
def_layer			layer_thread_feat gewinde
def_layer			layer_gtol tol_bezuege
def_layer			layer_weld_feat Fl_schweiss


! Drucken und Plotten

interface_quality 		3
plotter_command			WINDOWS_PRINT_MANAGER
plot_names			yes
use_8_plotter_pens		yes
use_software_linefonts		yes
raster_plot_dpi			400
tiff_compression		g4


! PDF-Export

pdf_use_pentable		yes
pdf_linecap			round
pdf_linejoin			round


! Datenaustausch Allgemein

intf_in_external_accuracy	yes
intf_in_blanked_entities	yes
intf_out_blanked_entities	no
step_appearance_layers_groups	yes

! Datenaustausch 2D

dxf_export_format		12
dwg_export_format		14
intf2d_fit_incompatible_data	yes
intf2d_out_enhanced_ents	spline_and_hatch

! Datenaustausch 3D

iges_in_106_f2_as_spline	yes
intf_in_use_template_models	yes
intf3d_in_include_items		srfs_crvs_pnts

! Datenaustausch ECAD

ecad_comp_csys_def_name 	ECAD
ecad_comp_layer_map		no


! System

display_ie8_warning_dialog	no
enable_tree_indep		yes
nt_cache_dirs			no
set_trail_single_step		no
web_browser_homepage		http://zeissnet.zeiss.org/cad


! Daten speichern und aufrufen

compress_output_files		no
file_open_default_folder	working_directory
lang_propagate			yes
menu_show_instances		no
rename_drawings_with_object	BOTH
retain_display_memory		yes
save_model_display		wireframe
save_instance_accelerator	none
use_temp_dir_for_inst		yes


! Erweiterungen/nderungen CREO 2.0:

allow_save_failed_model		yes
regen_failure_handling		resolve_mode
open_window_maximized  		yes
part_table_editor	 	protab
shade_moving_comp   		yes
modeltree_show_gen_of_instance  yes
enable_tapered_extrude	  	yes
!frt_enabled		    	yes
dynamic_preview			unattached
regen_solid_before_save		no
allow_move_view_with_move	yes
show_preview_default		remove
check_interference_of_matches 	no
enable_flat_state 		yes
fast_highlight			no
display_thick_cables		yes
comp_placement_edge_highlight	yes
last_session_retrieval		no
enable_3dmodelspace_browser_tab	no
drw_prompt_for_combined_state	no
create_drw_sheet_thumbnails	no
round_prewf5_displayed_dim_val	round all
round_displayed_dim_values	yes
measure_dialog_expand		yes
